On Thu, Dec 05, 2002 at 10:21:59PM +0900, Daniel Carrera wrote:
> > D> Could someone please tell me how you use those 'install.rb' scrits?
> >
> >    ruby install.rb config
> >    ruby install.rb setup
> >    ruby install.rb install
> 
> Half my frustration comes from the fact that this didn't work.
> 
> 
> > D> I want to install FXRuby.  I have the Fox library in $HOME/lib and the
> > D> includes in $HOME/include/fox.
> >
> >  This is documented in doc/build.html, the example is
> >
> >    ruby install.rb config -- \
> >      --with-fox-include=/home/lyle/fox-1.0.11/include \
> >      --with-fox-lib=/home/lyle/fox-1.0.11/src/.libs
> 
> The other half of my frustration comes from the fact that this didn't work
> either.  The install.rb script doesn't even accept these flags.
> 

It should work. Perhaps you lack some library required for development,
or the headers.
For instance, in Debian you'd need the ruby-dev package.
 
Could you post the error messages you're getting?

> Thanks for trying to help.
> 
> Daniel.
> 

-- 
 _           _                             
| |__   __ _| |_ ___ _ __ ___   __ _ _ __  
| '_ \ / _` | __/ __| '_ ` _ \ / _` | '_ \ 
| |_) | (_| | |_\__ \ | | | | | (_| | | | |
|_.__/ \__,_|\__|___/_| |_| |_|\__,_|_| |_|
	Running Debian GNU/Linux Sid (unstable)
batsman dot geo at yahoo dot com

'Ooohh.. "FreeBSD is faster over loopback, when compared to Linux
over the wire". Film at 11.'
	-- Linus Torvalds